Name:     qjournalctl
Version:  0.6.3
Release:  0.1%{?dist}
Summary:  Graphical User Interface for systemd's journalctl command using QT     

License:  GPL-3.0-only    
URL:      https://github.com/pentix/qjournalctl
Source0:  https://github.com/pentix/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz     

BuildRequires:  qt5-qtbase-devel
#B#uildRequires:  cmake
BuildRequires:  cmake(Qt5)

#B #uildRequires:  cmake(Qt5Core)
BuildRequires:  libssh-devel
BuildRequires:  gcc-c++
BuildRequires:  qt5-qtbase-gui
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
#R#equires:       hicolor-icon-theme

%description
A frontend for systemd's journalctl command to examine system logs. Multi-platform, Qt-based, and accepting local as well as remote (SSH) data sources. 

%prep
%autosetup 

%build
echo === build: qmake-qt5: ===
qmake-qt5  -makefile  -d  -r  -Wall  CONFIG+=release  CONFIG+=force_debug_info
#q#journalctl.pro

echo === build: qmake-qt5 done, make start: ===
make  %{?_smp_mflags}  
#make  #% {?_smp_mflags}  # BINDIR=% {_bindir}
echo === build: make: done ===


%install
#m#kdir  %{buildroot}/redhat-linux-build
#%#cmake_install
# above gives error:
#  DESTDIR=/builddir/build/BUILDROOT/qjournalctl-0.6.3-0.3.fc39.x86_64
#+ /usr/bin/cmake --install redhat-linux-build
#CMake Error: Error processing file: /builddir/build/BUILD/qjournalctl-0.6.3/redhat-linux-build/cmake_install.cmake

#m#ake install

echo === install: cmake_install: done ===

## Manual Install
# application
install  -d  -m 755  %{buildroot}%{_bindir}
install  -m 755  %{name}  %{buildroot}%{_bindir}/

# desktop file
install  -d  -m 755   %{buildroot}%{_datadir}/applications
install  -m 644  ui/qjournalctl.desktop  %{buildroot}%{_datadir}/applications/
desktop-file-validate  %{buildroot}%{_datadir}/applications/qjournalctl.desktop

# desktop icon
# trim 100x100 px icon to standard 96x96
convert ui/qjournalctl.png +set date:create +set date:modify -crop 96x96+4+2 -alpha on ui/qjournalctl-96x96.png
convert ui/qjournalctl.png +set date:create +set date:modify -resize 64x64 -alpha on ui/qjournalctl-64x64.png

install  -d  -m 755   %{buildroot}%{_datadir}/pixmaps
install  -m 644  ui/qjournalctl-96x96.png  %{buildroot}%{_datadir}/pixmaps/
install  -m 644  ui/qjournalctl-64x64.png  %{buildroot}%{_datadir}/pixmaps/


%post
# Refresh the menu entries immediately after the package is installed:
/usr/bin/update-desktop-database &> /dev/null || :

%postun
# Remove and refresh menu entries immediately after the package is uninstalled:
/usr/bin/update-desktop-database &> /dev/null || :


%files
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/qjournalctl
%{_datadir}/applications/qjournalctl.desktop
%{_datadir}/pixmaps/*.png

%changelog
* Sun Dec 17 2023 David Timms <iinet.net.au@dtimms> - 0.6.3-0.1
- Initial package
